# QGraphicsView Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractScrollArea.

### Constructor

- void QGraphicsView(QGraphicsScene scene, QWidget parent)
- void QGraphicsView(QWidget parent)

### Constructor Properties

- prototype: The QGraphicsView prototype object
- DontClipPainter = 0x1
- DontSavePainterState = 0x2
- DontAdjustForAntialiasing = 0x4
- IndirectPainting = 0x8
- OptimizationFlag( value )
- OptimizationFlags( value1, value2, ... )
- NoAnchor
- AnchorViewCenter
- AnchorUnderMouse
- ViewportAnchor( value )
- FullViewportUpdate
- MinimalViewportUpdate
- SmartViewportUpdate
- NoViewportUpdate
- BoundingRectViewportUpdate
- ViewportUpdateMode( value )
- CacheNone = 0x0
- CacheBackground = 0x1
- CacheModeFlag( value )
- CacheMode( value1, value2, ... )
- NoDrag
- ScrollHandDrag
- RubberBandDrag
- DragMode( value )

### Prototype Object Properties

The QGraphicsView prototype object inherits properties from the QAbstractScrollArea prototype object and also has the following properties.

- void centerOn(QGraphicsItem item)
- void ensureVisible(QGraphicsItem item, int xmargin, int ymargin)
- void fitInView(QGraphicsItem item, AspectRatioMode aspectRadioMode)
- bool isTransformed()
- QGraphicsItem itemAt(QPoint pos)
- List items()
- QPainterPath mapFromScene(QPainterPath path)
- QPainterPath mapToScene(QPainterPath path)
- QMatrix matrix()
- void render(QPainter painter, QRectF target, QRect source, AspectRatioMode aspectRatioMode)
- void resetCachedContent()
- void resetMatrix()
- void resetTransform()
- void rotate(qreal angle)
- void scale(qreal sx, qreal sy)
- QGraphicsScene scene()
- void setMatrix(QMatrix matrix, bool combine)
- void setOptimizationFlag(OptimizationFlag flag, bool enabled)
- void setRenderHint(RenderHint hint, bool enabled)
- void setScene(QGraphicsScene scene)
- void setSceneRect(qreal x, qreal y, qreal w, qreal h)
- void setTransform(QTransform matrix, bool combine)
- void shear(qreal sh, qreal sv)
- QTransform transform()
- void translate(qreal dx, qreal dy)
- QTransform viewportTransform()

### Instance Properties

QGraphicsView objects inherit properties from the QGraphicsView prototype object and also have the following properties.

- backgroundBrush
- foregroundBrush
- interactive
- sceneRect
- alignment
- renderHints
- dragMode
- cacheMode
- transformationAnchor
- resizeAnchor
- viewportUpdateMode
- rubberBandSelectionMode
- optimizationFlags